## hugin 2015.0.0~beta1+dfsg

=== src/tools/CMakeLists.txt ===

add_executable(fulla fulla.cpp)
target_link_libraries(fulla ${common_libs} ${image_libs})
# for expanding wildcard with MSVC
if(MSVC)
  set_target_properties(fulla PROPERTIES LINK_FLAGS "setargv.obj")
endif(MSVC)

add_executable(nona nona.cpp)
target_link_libraries(nona ${common_libs} ${image_libs} ${OPENGL_LIBRARIES} ${GLUT_LIBRARIES} ${GLEW_LIBRARIES})

#add_executable(autocreate autocreate.cpp)
#target_link_libraries(autocreate ${common_libs} ${image_libs})

add_executable(autooptimiser autooptimiser.cpp ExtractPoints.h)
target_link_libraries(autooptimiser ${common_libs} ${image_libs})

add_executable(vig_optimize vig_optimize.cpp ExtractPoints.h)
target_link_libraries(vig_optimize ${common_libs} ${image_libs})

add_executable(align_image_stack align_image_stack.cpp)
target_link_libraries(align_image_stack ${common_libs} ${image_libs} ${GLEW_LIBRARIES} ${GLUT_LIBRARIES})
# for expanding wildcard with MSVC
if(MSVC)
  set_target_properties(align_image_stack PROPERTIES LINK_FLAGS "setargv.obj")
endif(MSVC)


add_executable(linefind linefind.cpp)
target_link_libraries(linefind ${common_libs} ${image_libs} huginlines)

add_executable(geocpset geocpset.cpp)
target_link_libraries(geocpset ${common_libs})

add_executable(tca_correct tca_correct.cpp)
target_link_libraries(tca_correct ${common_libs} ${image_libs})

add_executable(cpclean cpclean.cpp)
target_link_libraries(cpclean ${common_libs} )

add_executable(checkpto checkpto.cpp)
target_link_libraries(checkpto ${common_libs} )

add_executable(pto_merge pto_merge.cpp)
target_link_libraries(pto_merge ${common_libs} )

add_executable(pto_template pto_template.cpp)
target_link_libraries(pto_template ${common_libs} )

add_executable(pto_mask pto_mask.cpp)
target_link_libraries(pto_mask ${common_libs} )

add_executable(pto_gen pto_gen.cpp)
target_link_libraries(pto_gen ${common_libs} )

add_executable(pano_trafo pano_trafo.cpp)
target_link_libraries(pano_trafo ${common_libs} )

add_executable(pano_modify pano_modify.cpp)
target_link_libraries(pano_modify ${common_libs} )

add_executable(pto_var pto_var.cpp ParseExp.cpp ParseExp.h)
target_link_libraries(pto_var ${common_libs})

add_executable(pto_lensstack pto_lensstack.cpp)
target_link_libraries(pto_lensstack ${common_libs})

add_executable(pto_move pto_move.cpp)
target_link_libraries(pto_move ${common_libs})
# for expanding wildcard with MSVC
if(MSVC)
  set_target_properties(pto_move PROPERTIES LINK_FLAGS "setargv.obj")
endif(MSVC)

add_executable(hugin_hdrmerge hugin_hdrmerge.cpp ../deghosting/deghosting.cpp ../deghosting/deghosting.h ../deghosting/khan.h ../deghosting/support.h ../deghosting/algtinyvector.h)
target_link_libraries(hugin_hdrmerge ${common_libs} ${image_libs} )

add_executable(lensdb lensdb.cpp)
target_link_libraries(lensdb ${common_libs})

add_executable(verdandi verdandi.cpp)
target_link_libraries(verdandi ${common_libs} ${image_libs})

# for expanding wildcard with MSVC
if(MSVC)
  set_target_properties(verdandi PROPERTIES LINK_FLAGS "setargv.obj")
endif(MSVC)


install(TARGETS nona vig_optimize autooptimiser fulla align_image_stack linefind geocpset
        tca_correct cpclean checkpto hugin_hdrmerge pano_trafo pano_modify pto_merge 
        pto_gen pto_var pto_lensstack pto_template pto_mask pto_move lensdb verdandi
        DESTINATION ${BINDIR})

IF(UNIX)
  INSTALL(FILES pto_gen.desktop DESTINATION ${DATADIR}/applications)
ENDIF(UNIX)

=== debian/changelog ===
hugin (2015.0.0~beta1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 03 May 2015 07:52:57 +0200

hugin (2015.0.0~beta1+dfsg-1) experimental; urgency=medium

  * New upstream version.
    + Does not embed vigra anymore, uses packaged version instead.
      Closes: #542259
  * Multiple changes from Stefan Peter (hugin-next ppa).
    - Removed unneeded patches (52 - 57).
    - Updated build-dependencies.
    - Ship new tools, removed obsolete ones. (+hugin_executor, +lensdb,
      +verdandi, -pto2mk).
    - Re-enabling python scripts by setting the api-max values in the scripts
      to 2015.0.
    - pull two bugfixes from upstream HG
      (110_hg6903_Fixes_a_further_assert_message.patch,
      111_hg6904_Fixes_crash_in_cp_editor.patch)
  * Drop unneeded b-d and Built-Using on libzthread-dev.
  * Drop unneeded b-d on libimage-exiftool-perl.
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 01 May 2015 16:25:24 +0200

=== debian/control ===
Source: hugin
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>
# hugin can use Boost::Signal or in Boost >= 1.54 Boost::Signal2 which is
# shipped in libboost-dev.
Build-Depends: debhelper (>= 9), cmake (>= 2.8.0),
 libboost-graph-dev (>= 1.44), libboost-thread-dev (>= 1.44),
 libboost-regex-dev (>= 1.44), libboost-filesystem-dev (>= 1.44),
 libboost-iostreams-dev (>= 1.44), libboost-system-dev (>= 1.44),
 libboost-signals-dev (>= 1.44) | libboost-dev (>= 1.54),
 zlib1g-dev, libexiv2-dev (>= 0.12), libjpeg-dev,
 libopenexr-dev, libpano13-dev (>= 2.9.19~beta1), libpng12-dev,
 libtiff-dev, libgtk2.0-dev, libwxgtk3.0-dev, libglew-dev, freeglut3-dev,
 swig (>= 2.0), python-dev, libsqlite3-dev,
 libflann-dev, libfftw3-dev,
 libvigraimpex-dev (>=1.9)
Build-Conflicts: wx2.6-headers, wx2.8-headers
Standards-Version: 3.9.6
Homepage: http://hugin.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-phototools/hugin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/hugin.git
XS-Testsuite: autopkgtest

Package: hugin
Architecture: any
Depends: hugin-tools (= ${binary:Version}), enblend (>= 3.2), enfuse, libimage-exiftool-perl, make, ${shlibs:Depends}, ${misc:Depends}
Breaks: hugin-bin (<< 0.7.0~svn)
Replaces: hugin-bin (<< 0.7.0~svn), hugin-data (<< 0.7.0~svn), hugin-tools (<< 0.7.0~svn)
Description: panorama photo stitcher - GUI tools
 Hugin is a panorama photo stitching program. Essentially, Hugin is a
 GUI frontend for Panorama Tools. Stitching is accomplished by using
 several overlapping photos taken from the same location, and using
 control points to align and transform the photos so that they can be
 blended together to form a larger image. Hugin allows for the easy
 creation of control points between two images, optimization of the
 image transforms, and much more.
 .
 This package includes the following graphical interfaces, using the
 command-line tools provided in the hugin-tools package:
  * hugin                - Hugin panorama creator.
  * hugin_stitch_project - Hugin batch stitcher.
  * PTBatcherGUI         - Batch controller for the stitching process.
  * calibrate_lens_gui   - Lens calibration tool.

Package: hugin-tools
Architecture: any
Depends: hugin-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends},
  ${python:Depends}
Breaks: hugin-bin (<< 0.7.0~svn), ${python:Breaks}
Replaces: hugin-bin (<< 0.7.0~svn)
Recommends: libpano13-bin
Provides: python-hsi
Description: panorama photo stitcher - commandline tools
 Hugin is a panorama photo stitching program.
 .
 This package includes command-line tools used by hugin and other
 packages for image stitching and High Dynamic Range (HDR) images:
  * align_image_stack  - Align overlapping images for HDR creation.
  * autooptimiser      - Optimize image positions.
  * celeste_standalone - Remove cloud-like control points.
  * cpclean            - Remove wrong control points.
  * cpfind             - Patent-free control-point detector
  * deghosting_mask    - Creates mask for removing ghosting in images.
  * fulla              - Correct lens distortion, vignetting, and
                         chromatic aberration.
  * geocpset           - Set geometric control points
  * hugin_hdrmerge     - Merge overlapping images.
  * icpfind            - Control-point detector wrapper program.
  * nona               - Remap images. (Also does simple stitching.)
  * pano_modify        - Change output parameters of project file.
  * pto2mk             - Create a makefile for stitching.
  * pto_mask           - Apply a mask.
  * pto_merge          - Merges two or more Hugin project files.
  * pto_move           - Move a project file with all images in it.
  * pto_gen            - Create pto file from list of images.
  * pto_lensstack      - Modify assigned lenses and stack in pto files.
  * pto_template       - Apply a template file.
  * pto_var            - Change image variables inside Hugin .pto project
                         files
  * tca_correct        - Calculate transverse chromatic aberration.
  * vig_optimize       - Determine the radial vignetting.

Package: hugin-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
# imports of included plugins
Suggests: python-wxgtk3.0
Description: panorama photo stitcher - common data files
 Hugin is a panorama photo stitching program.
 .
 This package includes the data files needed by the hugin and
 hugin-tools packages.

## hugin 2015.0.0~beta2+dfsg

=== platforms/linux/CMakeLists.txt ===
ADD_SUBDIRECTORY(appdata)

=== src/hugin1/hugin/CMakeLists.txt ===
# Application name
IF(APPLE)
  set( PROGNAME Hugin )
  set( MACOSX_BUNDLE_EXTENSION pto)
  set( MACOSX_BUNDLE_ICON_FILE Hugin.icns )
  set( MACOSX_BUNDLE_TYPE_ICON_FILE HuginFiles.icns )
  set( MACOSX_BUNDLE_MIME_TYPE application/x-ptoptimizer-script )
  set( MACOSX_BUNDLE_TYPE_NAME "Hugin Project" )
  set( MACOSX_BUNDLE_TYPE_ROLE Editor )
  set( MACOSX_BUNDLE_VERSION ${V_MAJOR}.${V_MINOR}.${V_PATCH} )
  set( MACOSX_BUNDLE_SHORT_VERSION_STRING ${MACOSX_BUNDLE_VERSION})
  set( MACOSX_BUNDLE_LONG_VERSION_STRING "Version ${MACOSX_BUNDLE_VERSION}" )
  set( MACOSX_BUNDLE_GUI_IDENTIFIER net.sourceforge.hugin)
  set( MACOSX_BUNDLE_INFO_STRING "Hugin ${MACOSX_BUNDLE_VERSION}" )
  set( MACOSX_BUNDLE_BUNDLE_NAME "Hugin" )
  set( MACOSX_BUNDLE_COPYRIGHT "Copyright 2007 Pablo d'Angelo" )
  set( MACOSX_BUNDLE_SIGNATURE "Hgin" )
  #  set( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
ELSE(APPLE)
  set( PROGNAME hugin )
ENDIF(APPLE)

# sources
set(hugin_SOURCES
huginApp.cpp ImagesList.cpp MainFrame.cpp CPImageCtrl.cpp CPImagesComboBox.cpp CPEditorPanel.cpp CPDetectorDialog.cpp  
ImagesPanel.cpp PanoPanel.cpp NonaOptionsDialog.cpp HDRMergeOptionDialog.cpp
PreviewFrame.cpp PreviewPanel.cpp GLPreviewFrame.cpp GLViewer.cpp GLRenderer.cpp 
OptimizePhotometricPanel.cpp OptimizePanel.cpp CPListFrame.cpp
TextKillFocusHandler.cpp PreferencesDialog.cpp ResetDialog.cpp
LocalizedFileTipProvider.cpp TextureManager.cpp MeshRemapper.cpp VertexCoordRemapper.cpp
TexCoordRemapper.cpp ChoosyRemapper.cpp MeshManager.cpp ViewState.cpp
OutputProjectionInfo.cpp ToolHelper.cpp Tool.cpp  OverviewCameraTool.cpp ProjectionGridTool.cpp OverviewOutlinesTool.cpp
PreviewCropTool.cpp DragTool.cpp PreviewIdentifyTool.cpp PanosphereSphereTool.cpp
PreviewDifferenceTool.cpp PreviewPanoMaskTool.cpp PreviewControlPointTool.cpp
GreatCircles.cpp AboutDialog.cpp LayoutRemapper.cpp PreviewLayoutLinesTool.cpp PreviewColorPickerTool.cpp PreviewGuideTool.cpp
MaskEditorPanel.cpp MaskImageCtrl.cpp MaskLoadDialog.cpp HtmlWindow.cpp 
PanoOperation.cpp treelistctrl.cpp ImagesTree.cpp PanoOutputDialog.cpp
GuiLevel.cpp ImageVariableDialog.cpp PreviewEditCPTool.cpp)

set(hugin_HEADERS
huginApp.h ImagesList.h MainFrame.h CPImageCtrl.h CPImagesComboBox.h CPEditorPanel.h CPDetectorDialog.h 
ImagesPanel.h PanoPanel.h NonaOptionsDialog.h HDRMergeOptionDialog.h
PreviewFrame.h PreviewPanel.h GLPreviewFrame.h GLViewer.h GLRenderer.h 
OptimizePhotometricPanel.h OptimizePanel.h CPListFrame.h
TextKillFocusHandler.h PreferencesDialog.h ResetDialog.h
LocalizedFileTipProvider.h TextureManager.h MeshRemapper.h VertexCoordRemapper.h
TexCoordRemapper.h ChoosyRemapper.h MeshManager.h ViewState.h
OutputProjectionInfo.h ToolHelper.h Tool.h OverviewCameraTool.h ProjectionGridTool.h OverviewOutlinesTool.h
PreviewCropTool.h DragTool.h PreviewIdentifyTool.h PanosphereSphereTool.h
PreviewDifferenceTool.h PreviewPanoMaskTool.h PreviewControlPointTool.h
GreatCircles.h AboutDialog.h LayoutRemapper.h PreviewLayoutLinesTool.h PreviewColorPickerTool.h PreviewGuideTool.h
MaskEditorPanel.h MaskImageCtrl.h MaskLoadDialog.h HtmlWindow.h 
PanoOperation.h treelistctrl.h ImagesTree.h PanoOutputDialog.h
GuiLevel.h ImageVariableDialog.h PreviewEditCPTool.h)

IF(BUILD_HSI)
LIST(APPEND hugin_SOURCES PluginItems.cpp)
LIST(APPEND hugin_HEADERS PluginItems.h)
ENDIF()

IF(APPLE)
  if (MAC_SELF_CONTAINED_BUNDLE)
    MESSAGE("TODO: MAC_SELF_CONTAINED_BUNDLE currently broken")
    FILE(GLOB TRANSLATION_FILES ${CMAKE_CURRENT_BINARY_DIR}/po/*.lproj/locale/hugin.mo)
    FILE(GLOB_RECURSE XRC_FILES ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.html 
      		    	        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.htm
  			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.hhc
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.hhk	
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.hhp
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.xrc
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.ico
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.jpg
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.png
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.txt
			        ${CMAKE_CURRENT_SOURCE_DIR}/xrc/*.pl)

    set( ICON_FILES ${MACOSX_BUNDLE_ICON_FILE} ${MACOSX_BUNDLE_TYPE_ICON_FILE} )
	
    ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${hugin_SOURCES} 
  		    ${ICON_FILES} ${TRANSLATION_FILES} ${XRC_FILES} )

    FOREACH(_file ${TRANSLATION_FILES})
          GET_FILENAME_COMPONENT(_file_dir ${_file} PATH)
	  FILE(RELATIVE_PATH _file_dir ${CMAKE_CURRENT_BINARY_DIR}/po ${_file_dir})
	  SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
				       MACOSX_PACKAGE_LOCATION 
				       "Resources/${_file_dir}" )
    ENDFOREACH(_file)

    FOREACH(_file ${XRC_FILES})
          GET_FILENAME_COMPONENT(_file_dir ${_file} PATH)
	  FILE(RELATIVE_PATH _file_dir ${CMAKE_CURRENT_SOURCE_DIR} ${_file_dir})
	  SET_SOURCE_FILES_PROPERTIES( ${_file} PROPERTIES 
				      MACOSX_PACKAGE_LOCATION 
				      "Resources/${_file_dir}")
    ENDFOREACH(_file)

    #ADD_CUSTOM_COMMAND( 
    #  TARGET ${PROGNAME}
    #  POST_BUILD
    #  COMMAND ${CMAKE_COMMAND}
    #  ARGS -Dfile="${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources/xrc/cp_editor_panel.xrc" -P ${CMAKE_SOURCE_DIR}/CMakeModules/fix_osx_xrc.cmake
    #)

  else (MAC_SELF_CONTAINED_BUNDLE)

    # bare bones bundle, with only hugin inside, all other ressources outside.
    set( ICON_FILES ${MACOSX_BUNDLE_ICON_FILE} ${MACOSX_BUNDLE_TYPE_ICON_FILE} )
    ADD_EXECUTABLE( ${PROGNAME} MACOSX_BUNDLE ${hugin_SOURCES} 
  		    ${ICON_FILES})

  endif (MAC_SELF_CONTAINED_BUNDLE)

  SET_SOURCE_FILES_PROPERTIES(
  	${ICON_FILES}
  	PROPERTIES 
	MACOSX_PACKAGE_LOCATION Resources)

ELSEIF ( WIN32 )
  ADD_EXECUTABLE( ${PROGNAME} WIN32 ${hugin_SOURCES} ${hugin_HEADERS} hugin_rc.rc )
ELSE (APPLE)
  ADD_EXECUTABLE( ${PROGNAME} ${hugin_SOURCES} ${hugin_HEADERS})
ENDIF(APPLE)

target_link_libraries( ${PROGNAME} ${common_libs} ${image_libs} huginbasewx celeste icpfindlib ${wxWidgets_LIBRARIES} ${OPENGL_LIBRARIES} ${GLEW_LIBRARIES} ${GLUT_LIBRARIES})

IF(BUILD_HSI)
TARGET_LINK_LIBRARIES(${PROGNAME} hugin_python_interface)
ENDIF()

IF (APPLE)
  IF (NOT MAC_SELF_CONTAINED_BUNDLE)
    install(TARGETS ${PROGNAME}
            DESTINATION ${INSTALL_OSX_BUNDLE_DIR})
  ELSE (NOT MAC_SELF_CONTAINED_BUNDLE)
    # try to build selfcontained bundle
    INCLUDE (${CMAKE_SOURCE_DIR}/CMakeModules/AppleRELEASEOptions.cmake)
  ENDIF (NOT MAC_SELF_CONTAINED_BUNDLE)
ELSE(APPLE)
  install(TARGETS ${PROGNAME}
          DESTINATION ${BINDIR})
  IF(UNIX)
    # install further stuff (icons etc.)
    INSTALL(FILES hugin.desktop DESTINATION ${DATADIR}/applications)
    INSTALL(FILES gnome-mime-application-x-ptoptimizer-script.png DESTINATION ${DATADIR}/icons/gnome/48x48/mimetypes)
    INSTALL(FILES hugin.xml DESTINATION ${DATADIR}/mime/packages)
  ENDIF(UNIX)
ENDIF(APPLE)

add_subdirectory(xrc)

=== debian/changelog ===
hugin (2015.0.0~beta2+dfsg-1git1) wily; urgency=medium

  Upload current Debian packaging git head to fix autopkgtest.

  [ Andreas Metzler ]
  * Update autopkgtest (simple.pano.test) to use hugin_executor instead of
    pto2mk and make. Thanks Martin Pitt for doublechecking and improving the
    error-message. Closes: #785071

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 May 2015 22:29:04 +0200

hugin (2015.0.0~beta2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + Drop unneeded patches (100_enable_python_scripts.patch
      110_hg6903_Fixes_a_further_assert_message.patch
      111_hg6904_Fixes_crash_in_cp_editor.patch).
    + lensdb renamed to hugin_lensdb.
    + Update list of CLI programs in package description.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 May 2015 13:05:30 +0200

=== debian/control ===
--- 
+++ 
@@ -65,21 +65,24 @@
   * deghosting_mask    - Creates mask for removing ghosting in images.
   * fulla              - Correct lens distortion, vignetting, and
                          chromatic aberration.
-  * geocpset           - Set geometric control points
+  * geocpset           - Set geometric control points.
+  * hugin_executor     - CLI stitching tool.
   * hugin_hdrmerge     - Merge overlapping images.
+  * hugin_lensdb       - Hugin lens database maintainance.
   * icpfind            - Control-point detector wrapper program.
+  * linefind           - Detect vertical features in images.
   * nona               - Remap images. (Also does simple stitching.)
   * pano_modify        - Change output parameters of project file.
-  * pto2mk             - Create a makefile for stitching.
+  * pto_gen            - Generate a Hugin project file from a list of images.
+  * pto_lensstack      - Modify assigned lenses and stack in pto files.
   * pto_mask           - Apply a mask.
   * pto_merge          - Merges two or more Hugin project files.
   * pto_move           - Move a project file with all images in it.
-  * pto_gen            - Create pto file from list of images.
-  * pto_lensstack      - Modify assigned lenses and stack in pto files.
   * pto_template       - Apply a template file.
   * pto_var            - Change image variables inside Hugin .pto project
                          files
   * tca_correct        - Calculate transverse chromatic aberration.
+  * verdandi           - Blend images using watershed algorithm.
   * vig_optimize       - Determine the radial vignetting.
 
 Package: hugin-data

## hugin 2015.0.0~rc1+dfsg

=== src/hugin_base/CMakeLists.txt ===

# a list of all files belonging to hugin base library

SET(HUGIN_BASE_SRC
algorithms/nona/NonaFileStitcher.cpp
algorithms/basic/CalculateCPStatistics.cpp
algorithms/basic/CalculateMeanExposure.cpp
algorithms/basic/CalculateOptimalScale.cpp
algorithms/basic/CalculateOptimalROI.cpp
algorithms/basic/RotatePanorama.cpp
algorithms/basic/TranslatePanorama.cpp
algorithms/basic/StraightenPanorama.cpp
algorithms/basic/CalculateOverlap.cpp
algorithms/basic/LayerStacks.cpp
algorithms/nona/CalculateFOV.cpp
algorithms/nona/CenterHorizontally.cpp
algorithms/nona/FitPanorama.cpp
algorithms/nona/ComputeImageROI.cpp
algorithms/optimizer/ImageGraph.cpp
algorithms/optimizer/PhotometricOptimizer.cpp
algorithms/optimizer/PTOptimizer.cpp
algorithms/point_sampler/PointSampler.cpp
algorithms/control_points/CleanCP.cpp
appbase/ProgressDisplay.cpp
huginapp/CachedImageRemapper.cpp
huginapp/ImageCache.cpp
hugin_math/eig_jacobi.cpp
hugin_math/graph.cpp
hugin_math/Matrix3.cpp
hugin_math/Vector3.cpp
hugin_utils/alphanum.cpp
hugin_utils/utils.cpp
hugin_utils/platform.cpp
lensdb/LensDB.cpp
nona/SpaceTransform.cpp
nona/Stitcher1.cpp
nona/Stitcher2.cpp
nona/Stitcher3.cpp
nona/Stitcher4.cpp
nona/Stitcher.cpp
nona/StitcherOptions.cpp
panodata/ControlPoint.cpp
panodata/Lens.cpp
panodata/Mask.cpp
panodata/Panorama.cpp
panodata/PanoramaOptions.cpp
panodata/PanoramaVariable.cpp
panodata/PTScriptParsing.cpp
panodata/SrcPanoImage.cpp
panodata/ImageVariableGroup.cpp
panodata/StandardImageVariableGroups.cpp
panodata/Exiv2Helper.cpp
panotools/PanoToolsInterface.cpp
panotools/PanoToolsOptimizerWrapper.cpp
panotools/PanoToolsUtils.cpp
panotools/PanoToolsTransformGPU.cpp
vigra_ext/emor.cpp
vigra_ext/ImageTransformsGPU.cpp
)

SET(HUGIN_BASE_HEADER
algorithms/PanoramaAlgorithm.h
algorithms/StitcherAlgorithm.h
algorithms/nona/NonaFileStitcher.h
algorithms/basic/CalculateCPStatistics.h
algorithms/basic/CalculateMeanExposure.h
algorithms/basic/CalculateOptimalScale.h
algorithms/basic/CalculateOptimalROI.h
algorithms/basic/RotatePanorama.h
algorithms/basic/TranslatePanorama.h
algorithms/basic/StraightenPanorama.h
algorithms/basic/CalculateOverlap.h
algorithms/basic/LayerStacks.h
algorithms/nona/CalculateFOV.h
algorithms/nona/CenterHorizontally.h
algorithms/nona/FitPanorama.h
algorithms/nona/ComputeImageROI.h
algorithms/optimizer/ImageGraph.h
algorithms/optimizer/PhotometricOptimizer.h
algorithms/optimizer/PTOptimizer.h
algorithms/point_sampler/PointSampler.h
algorithms/control_points/CleanCP.h
appbase/DocumentData.h
appbase/ProgressDisplay.h
huginapp/CachedImageRemapper.h
huginapp/ImageCache.h
hugin_math/eig_jacobi.h
hugin_math/graph.h
hugin_math/Matrix3.h
hugin_math/Vector3.h
hugin_utils/alphanum.h
hugin_utils/utils.h
hugin_utils/platform.h
lensdb/LensDB.h
nona/ImageRemapper.h
nona/RemappedPanoImage.h
nona/SpaceTransform.h
nona/Stitcher.h
nona/StitcherOptions.h
panodata/ControlPoint.h
panodata/Lens.h
panodata/Mask.h
panodata/OptimizerSwitches.h
panodata/PanoramaData.h
panodata/Panorama.h
panodata/PanoramaOptions.h
panodata/PanoramaVariable.h
panodata/PTScriptParsing.h
panodata/SrcPanoImage.h
panodata/image_variables.h
panodata/ImageVariable.h
panodata/ImageVariableGroup.h
panodata/ImageVariableTranslate.h
panodata/StandardImageVariableGroups.h
panodata/Exiv2Helper.h
panotools/PanoToolsInterface.h
panotools/PanoToolsOptimizerWrapper.h
panotools/PanoToolsUtils.h
vigra_ext/Correlation.h
vigra_ext/emor.h
vigra_ext/FileRAII.h
vigra_ext/HDRUtils.h
vigra_ext/ImageTransforms.h
vigra_ext/ImageTransformsGPU.h
vigra_ext/ReduceOpenEXR.h
)

IF (${HUGIN_SHARED_LIBS})
  add_library(huginbase SHARED ${HUGIN_BASE_SRC} ${HUGIN_BASE_HEADER})
  target_link_libraries(huginbase ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
  set_target_properties(huginbase PROPERTIES VERSION ${HUGIN_LIB_VERSION})
  IF(WIN32)
    install(TARGETS huginbase RUNTIME DESTINATION ${BINDIR})
  ELSEIF(${HUGIN_LIBS_PRIVATE_DIR})
    install(TARGETS huginbase LIBRARY DESTINATION ${LIBDIR}/hugin NAMELINK_SKIP)
  ELSE(WIN32)
    install(TARGETS huginbase LIBRARY DESTINATION ${LIBDIR} NAMELINK_SKIP)
  ENDIF(WIN32)
ELSE (${HUGIN_SHARED_LIBS})
  add_library(huginbase STATIC ${HUGIN_BASE_SRC} ${HUGIN_BASE_HEADER})
ENDIF (${HUGIN_SHARED_LIBS})

TARGET_LINK_LIBRARIES(huginbase huginlevmar ${VIGRA_LIBRARIES} 
        ${Boost_LIBRARIES} ${EXIV2_LIBRARIES} ${PANO_LIBRARIES}
        ${TIFF_LIBRARIES} ${LAPACK_LIBRARIES} ${GLEW_LIBRARIES}
        ${OPENGL_LIBRARIES} ${GLUT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
        ${SQLITE3_LIBRARIES} )

add_subdirectory(lines)

=== src/hugin_base/lines/CMakeLists.txt ===
SET(HUGIN_LINES_SRC FindLines.cpp FindN8Lines.cpp)
SET(HUGIN_LINES_HEADER FindLines.h FindN8Lines.h LinesTypes.h)

IF (${HUGIN_SHARED_LIBS})
  add_library(huginlines SHARED ${HUGIN_LINES_SRC} ${HUGIN_LINES_HEADER})
  set_target_properties(huginlines PROPERTIES VERSION ${HUGIN_LIB_VERSION})
  IF(WIN32)
    install(TARGETS huginlines RUNTIME DESTINATION ${BINDIR})
  ELSEIF(${HUGIN_LIBS_PRIVATE_DIR})
    install(TARGETS huginlines LIBRARY DESTINATION ${LIBDIR}/hugin NAMELINK_SKIP)
  ELSE(WIN32)
    install(TARGETS huginlines LIBRARY DESTINATION ${LIBDIR} NAMELINK_SKIP)
  ENDIF(WIN32)
ELSE (${HUGIN_SHARED_LIBS})
  add_library(huginlines STATIC ${HUGIN_LINES_SRC} ${HUGIN_LINES_HEADER})
ENDIF (${HUGIN_SHARED_LIBS})

TARGET_LINK_LIBRARIES(huginlines ${image_libs} huginbase)

## hugin 2015.0.0~rc3+dfsg

=== debian/changelog ===
hugin (2015.0.0~rc3+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:12:43 +0200

hugin (2015.0.0~rc3+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 26 Jul 2015 13:52:39 +0200

hugin (2015.0.0~rc2+dfsg-1) unstable; urgency=low

  * New upstream version.
    + Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 05 Jul 2015 14:54:58 +0200

hugin (2015.0.0~rc1+dfsg-1) unstable; urgency=medium

  * Update autopkgtest (simple.pano.test) to use hugin_executor instead of
    pto2mk and make. Thanks Martin Pitt for doublechecking and improving the
    error-message. Closes: #785071
  * New upstream version.
    + Use correct encoding for progress display. Closes: #786938
  * Thanks, lintian:
    + s/maintainance/maintenance/ in debian/control.
    + Drop nowadays unneeded XS-Testsuite: autopkgtest in debian/control.
  * Build-depend on dh-python, as suggested by dh-python2.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 13 Jun 2015 14:02:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>
 # hugin can use Boost::Signal or in Boost >= 1.54 Boost::Signal2 which is
 # shipped in libboost-dev.
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.0),
+Build-Depends: debhelper (>= 9), dh-python, cmake (>= 2.8.0),
  libboost-graph-dev (>= 1.44), libboost-thread-dev (>= 1.44),
  libboost-regex-dev (>= 1.44), libboost-filesystem-dev (>= 1.44),
  libboost-iostreams-dev (>= 1.44), libboost-system-dev (>= 1.44),
@@ -21,7 +21,6 @@
 Homepage: http://hugin.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/pkg-phototools/hugin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/hugin.git
-XS-Testsuite: autopkgtest
 
 Package: hugin
 Architecture: any
@@ -68,7 +67,7 @@
   * geocpset           - Set geometric control points.
   * hugin_executor     - CLI stitching tool.
   * hugin_hdrmerge     - Merge overlapping images.
-  * hugin_lensdb       - Hugin lens database maintainance.
+  * hugin_lensdb       - Hugin lens database maintenance.
   * icpfind            - Control-point detector wrapper program.
   * linefind           - Detect vertical features in images.
   * nona               - Remap images. (Also does simple stitching.)

## hugin 2015.0.0%2Bdfsg

=== src/translations/CMakeLists.txt ===
# This file is part of hugin, a GUI for the panorama tools suite
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2013 Kornel Benko, <Kornel.Benko@berlin.de>
#

OPTION(REBUILD_TRANSLATIONS "Build hugin.pot and <lang>.po files inside the build dir" OFF)

find_package(MSGFMT QUIET REQUIRED)

# Check for needed programms python2, wxrc, xgettext, msgmerge, msguniq
if(REBUILD_TRANSLATIONS)
  # Check for needed python version 2
  set(prg_err_msg)
  find_package(PythonInterp)
  if (NOT PYTHONINTERP_FOUND)
    set(prg_err_msg "No python interpreter found")
  endif()

  if(NOT prg_err_msg)
    find_program(XGETTEXT_EXECUTABLE
      NAMES xgettext
      PATHS /bin /usr/bin /usr/local/bin c:/MinGW/bin ${SOURCE_BASE_DIR}/gettext/bin)
    if(NOT XGETTEXT_EXECUTABLE)
      set(prg_err_msg "xgettext not found")
    endif()
  endif()

  if(NOT prg_err_msg)
    find_program(MSGMERGE_EXECUTABLE
      NAMES msgmerge gmsgmerge msgmerge.exe
      PATHS /bin /usr/bin /usr/local/bin c:/MinGW/bin ${SOURCE_BASE_DIR}/gettext/bin)
    if(NOT MSGMERGE_EXECUTABLE)
      set(prg_err_msg "msgmerge not found")
    endif()
  endif()

  if(NOT prg_err_msg)
    find_program(MSGUNIQ_EXECUTABLE
      NAMES msguniq gmsguniq msguniq.exe
      PATHS /bin /usr/bin /usr/local/bin c:/MinGW/bin ${SOURCE_BASE_DIR}/gettext/bin)
    if(NOT MSGUNIQ_EXECUTABLE)
      set(prg_err_msg "msguniq not found")
    endif()
  endif()

  if(prg_err_msg)
    message(STATUS ${prg_err_msg} ", disabling REBUILD_TRANSLATIONS")
    set(REBUILD_TRANSLATIONS OFF)
  else()
    message(STATUS "Needed programs for REBUILD_TRANSLATIONS found")
  endif()
endif()

if(REBUILD_TRANSLATIONS)

  # create updated template hugin.pot and remerged po-files
  # in the build-directory

  # This part should do the same, as extract-messages.sh
  set(BUGADDR "https://bugs.launchpad.net/hugin/")
  set(COPYRIGHT "Pablo dAngelo")
  # create xrc.cpp
  # Preparing rc files
  file(GLOB_RECURSE xrc_files RELATIVE "${CMAKE_SOURCE_DIR}/src" "${CMAKE_SOURCE_DIR}/src/*.xrc")
  list(SORT xrc_files)

  # creating infiles.list
  file(GLOB_RECURSE _infiles RELATIVE "${CMAKE_SOURCE_DIR}/src"
    "${CMAKE_SOURCE_DIR}/src/*.cpp"
    "${CMAKE_SOURCE_DIR}/src/*.h"
    "${CMAKE_SOURCE_DIR}/src/*.c")
#  list(APPEND _infiles "translations/xrc.cpp")
  list(REMOVE_ITEM _infiles "translations/xrc.cpp")
  list(REMOVE_DUPLICATES _infiles)
  list(SORT _infiles)

  # create infiles.list, containing the list of input source files
  file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/infiles.tmp")
  set(infiles_depend)
  foreach(_f ${_infiles})
    if(NOT _f STREQUAL "translations/xrc.cpp")
      list(APPEND infiles_depend "${CMAKE_SOURCE_DIR}/src/${_f}")
    endif()
    file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/infiles.tmp" "./${_f}\n")
  endforeach()
  file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in" POTFILE)
  foreach(_p ${POTFILE})
    list(APPEND infiles_depend "${CMAKE_SOURCE_DIR}/src/${_p}")
    file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/infiles.tmp" "${_p}\n")
  endforeach()
  execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different "${CMAKE_CURRENT_BINARY_DIR}/infiles.tmp" "${CMAKE_CURRENT_BINARY_DIR}/infiles.list")

  # create in_xrc_files.list, containing the list of searched xrc source files
  file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/in_xrc_files.tmp")
  set(inxrcdepend)
  foreach(_f ${xrc_files})
    set(_fabs "${CMAKE_SOURCE_DIR}/src/${_f}")
    list(APPEND inxrcdepend ${_fabs})
    file(APPEND "${CMAKE_CURRENT_BINARY_DIR}/in_xrc_files.tmp" "${_fabs}\n")
  endforeach()
  execute_process(COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${CMAKE_CURRENT_BINARY_DIR}/in_xrc_files.tmp" "${CMAKE_CURRENT_BINARY_DIR}/in_xrc_files.list")

  # now create the hugintmp.pot file, with possible duplicated entries
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/hugintmp.pot"
    COMMAND ${XGETTEXT_EXECUTABLE} --from-code=UTF-8 -C -k_ --copyright-holder=${COPYRIGHT}
      --msgid-bugs-address="${BUGADDR}"
      --files-from="${CMAKE_CURRENT_BINARY_DIR}/infiles.list"
      -D "${CMAKE_SOURCE_DIR}/src"
      -o "${CMAKE_CURRENT_BINARY_DIR}/hugintmp1.pot"
    COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/xrc_pot.py"
      -o "${CMAKE_CURRENT_BINARY_DIR}/hugintmp1.pot"
      -b "${CMAKE_SOURCE_DIR}/src"
      -t xrc -s "${CMAKE_CURRENT_BINARY_DIR}/in_xrc_files.list"
    COMMAND ${PYTHON_EXECUTABLE} "${CMAKE_CURRENT_SOURCE_DIR}/xrc_correct.py"
      -o "${CMAKE_CURRENT_BINARY_DIR}/hugintmp.pot"
      "${CMAKE_CURRENT_BINARY_DIR}/hugintmp1.pot"
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/infiles.list"
      "${CMAKE_CURRENT_BINARY_DIR}/in_xrc_files.list"
      "${CMAKE_CURRENT_SOURCE_DIR}/xrc_pot.py"
      ${infiles_depend} ${inxrcdepend})

  # Last step in creating hugin.pot
  # concatenate duplicated entries and correct some non-ascii not handled by msguniq
  add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/hugin.pot"
    COMMAND ${MSGUNIQ_EXECUTABLE} -o "${CMAKE_CURRENT_BINARY_DIR}/hugin.pot"
      "${CMAKE_CURRENT_BINARY_DIR}/hugintmp.pot"
    DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/hugintmp.pot"
      "${CMAKE_CURRENT_SOURCE_DIR}/xrc_correct.py")

  #now get the po-files
  file(GLOB pofiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
  set(PO_FILES)
  foreach(_po ${pofiles})
    list(APPEND PO_FILES "${CMAKE_CURRENT_BINARY_DIR}/${_po}")
    add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_po}"
      COMMAND ${MSGMERGE_EXECUTABLE} --verbose -o "${CMAKE_CURRENT_BINARY_DIR}/${_po}"
        "${CMAKE_CURRENT_SOURCE_DIR}/${_po}" "${CMAKE_CURRENT_BINARY_DIR}/hugin.pot"
      DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${_po}" "${CMAKE_CURRENT_BINARY_DIR}/hugin.pot"
      COMMENT "${MSGMERGE_EXECUTABLE} --verbose -o ${CMAKE_CURRENT_BINARY_DIR}/${_po} ${CMAKE_CURRENT_SOURCE_DIR}/${_po} ${CMAKE_CURRENT_BINARY_DIR}/hugin.pot"
       )
  endforeach()

  ADD_TRANSLATIONS("${CMAKE_CURRENT_BINARY_DIR}/hugin.pot" ${PO_FILES})

else()
  # simply use all po files and hugin.pot from the source directory
  FILE(GLOB PO_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.po")

  ADD_TRANSLATIONS("${CMAKE_CURRENT_SOURCE_DIR}/hugin.pot" ${PO_FILES})
endif()
